> For the complete documentation index, see [llms.txt](https://docs.sickscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sickscripts.com/esx-scripts/sickupnatom/job-info.md).

# Job Info

UpNAtom comes with lots of things to it. Ranging from Drink stations to Friers.

## Job Options

1. Grill to make eggs, pancakes, burgers and more.
2. Frier for Fried Chicken, Fries, Fried Deserts and more.
3. Fridge/Freezer for storing food.
4. Drink Stations with Small, Medium, and Large Sizes.
5. Registers
6. Cleaning
7. Boss Menu

## Drink Station

The Drink station is ran of a Bib system similar to real resturaunts. Each time the drink is used a portion or the supply is removed. Once it is depleted you will no longer be able to sell that type until you refill the supply!

```json
{
    "id": 1,
    "description": "Crispppp",
    "progress": 96,
    "item": "sprite",
    "title": "Sprite",
    "type": "small",
    "icon": "fas-fa-circle"
},
```

{% hint style="danger" %}
Drinks are ran of a JSON to save the progress and to safe on DataBase Calls! Examples are there to help you on making sure you add/remove items correctly!
{% endhint %}

## Registers

Registers are also ran of a JSON file to help make sure that each register is independent when it comes to paying

```json
[
    {
        "currentAmount": 0,
        "name": "register_1"
    },
    {
        "currentAmount": 0,
        "name": "register_2"
    },
    {
        "currentAmount": 0,
        "name": "register_3"
    }
]
```

Accepted Payment Types:

1. Cash
2. Bank

## Friers

The Friers are there to help you make fried chicken for sandwiches and fries for sides. Some Fried Deserts will be included!

## Stove

The Stove will assist in making fresh eggs, cooked burgers, crispy hash browns and buttery pancakes! Each needs an item set in config and has a small skill check after the progress bar, this is to show you actually made it and if you fail the check you will have 'burnt' the item and will have lost it!&#x20;

## Storages

There are 3 pre set storages for the resturaunt to store uncooked meats and buns or fresh cooked meals ready for sale!

{% hint style="info" %}

1. Freezer for Meats and other items
2. Fridge for cheeses, buns, lettuce and more
3. Warmer to place fresh cooked meals in so that the service people can sell the food!
   {% endhint %}

## Cleaning

\*\*Coming Soon\*\*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sickscripts.com/esx-scripts/sickupnatom/job-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
